# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82"
name = "rapidgzip-rs-cli"
version = "1.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cross-platform command-line decompressor built on top of rapidgzip-rs"
homepage = "https://github.com/alekseizarubin/rapidgzip-rs-cli"
readme = "README.md"
keywords = [
    "gzip",
    "bgzf",
    "decompression",
    "cli",
    "parallel",
]
categories = [
    "command-line-utilities",
    "compression",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/alekseizarubin/rapidgzip-rs-cli"

[[bin]]
name = "rapidgzip-rs-cli"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.bytecount]
version = "0.6"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.ctrlc]
version = "3.5.2"

[dependencies.rapidgzip]
version = "1.2.0"

[dependencies.tempfile]
version = "3.13"

[dependencies.ureq]
version = "3.3.0"

[dependencies.url]
version = "2.5.8"

[dev-dependencies.flate2]
version = "1.0"
